logo
AccountGet user profile
Account

Get user profile

Returns user profile and workspace memberships.

Requires a platform API key (sk_user_...). Workspace keys are rejected with 403.

curl -X GET "https://api.sendkit.ai/v1/account" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "id": "example_string",
    "name": "John Doe",
    "email": "user@example.com",
    "image": "example_string",
    "tier": "starter",
    "workspaces": [
      {
        "workspaceId": "example_string",
        "role": "owner",
        "joinedAt": "2024-12-25T10:00:00Z"
      }
    ]
  }
}
GET
/v1/account
GET
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Responses

successboolean
dataobject